package com.gree.mall.manager.enums.workorder;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum AppraiseConfigTypeEnum implements BaseEnum {
    FIRST_A("FIRST_A","首次申诉"),
    SECOND_A("SECOND_A","二次申诉"),
    FIRST_C("FIRST_C","首次审核"),
    SECOND_C("SECOND_C","二次审核"),;

    @JsonValue
    @EnumValue
    private final String key;
    private final String remark;

}
